/* 
-------------------------------------------------------------------------------
/home/duke/davek/YagiUda-1.0/print_z.c
-------------------------------------------------------------------------------

This file is part of a set of source files for a suite of programs
for the analysis and optimisation of Yagi-Uda antennas. 

Name: YagiUda (executables are: 'input', 'yagi', 'output' and 'optimise' )

Written by: David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)

Version: 1.00

The complete distribution should be found in a file YagiUda-1.0.tar.Z, 
which will be found on ftp sites. Please e-mail me if you have problems
locating the latest version.

*/

#include <stdio.h>
#include "yagi.h"

void print_z_matrix(double frequency, int elements, double **z)
{
	int i,j;		
	printf("Z - Matrix at frequency = %lf\n", frequency);
	for(i=1;i<=elements;++i)
	{
		for(j=1;j<=2*elements;++j)
			printf("% 7.2lf ", z[i][j]);
		printf("\n");
	}  
}
