/* 
-------------------------------------------------------------------------------
/home/duke/davek/YagiUda-1.0/z_input.c
-------------------------------------------------------------------------------

This file is part of a set of source files for a suite of programs
for the analysis and optimisation of Yagi-Uda antennas. 

Name: YagiUda (executables are: 'input', 'yagi', 'output' and 'optimise' )

Written by: David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)

Version: 1.00

The complete distribution should be found in a file YagiUda-1.0.tar.Z, 
which will be found on ftp sites. Please e-mail me if you have problems
locating the latest version.

*/

#include <stdio.h>
#include <math.h>
#include "yagi.h"
/* compute the input impedance (driving impedance) */

void z_input(FCOMPLEX v, FCOMPLEX i, FCOMPLEX *impedance)
{
	*impedance=Cdiv(v,i);
}

