/* 
-------------------------------------------------------------------------------
/home/duke/davek/YagiUda-1.0/getfiles.c
-------------------------------------------------------------------------------

This file is part of a set of source files for a suite of programs
for the analysis and optimisation of Yagi-Uda antennas. 

Name: YagiUda (executables are: 'input', 'yagi', 'output' and 'optimise' )

Written by: David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)

Version: 1.00

The complete distribution should be found in a file YagiUda-1.0.tar.Z, 
which will be found on ftp sites. Please e-mail me if you have problems
locating the latest version.

*/

#include <stdio.h>
#include <string.h>
#include "yagi.h"
/* This routine checks the number of arguments. If thats OK, the 
only arguemnt is the input data file. The output data file name is
got by adding '.out' to the input data file name. */
char *get_data_filenames(int argc, char **argv, char *input)
{
	char *output;
	output=string(0,100);
	if(argc!=2)
	{
		fprintf(stderr,"YagiUda antenna analysis programs, version %.2lf\n", version());
		fprintf(stderr,"Written by David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)\n");
		fprintf(stderr,"Usage: %s inputdatafile\n", argv[0]);
		exit(1);
	}
	strcpy(input, argv[1]);
	strcpy(output, argv[1]);
	strcat(output,".out");
	return(output);
}
