/* 
-------------------------------------------------------------------------------
/home/duke/davek/YagiUda-1.0/pin.c
-------------------------------------------------------------------------------

This file is part of a set of source files for a suite of programs
for the analysis and optimisation of Yagi-Uda antennas. 

Name: YagiUda (executables are: 'input', 'yagi', 'output' and 'optimise' )

Written by: David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)

Version: 1.00

The complete distribution should be found in a file YagiUda-1.0.tar.Z, 
which will be found on ftp sites. Please e-mail me if you have problems
locating the latest version.

*/

#include <stdio.h>
#include <math.h>
#include "yagi.h"

/* uses formulae of page 1-12 of Lawsons book. No idea where
it comes from! */

double calculate_power_input(double real_z, FCOMPLEX current)
{
	double power_input;
	power_input=0.5*Cabs(current)*Cabs(current)*real_z;
	return(power_input);
}
