/* 
-------------------------------------------------------------------------------
/home/duke/davek/YagiUda-1.0/read_perf.c
-------------------------------------------------------------------------------

This file is part of a set of source files for a suite of programs
for the analysis and optimisation of Yagi-Uda antennas. 

Name: YagiUda (executables are: 'input', 'yagi', 'output' and 'optimise' )

Written by: David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)

Version: 1.00

The complete distribution should be found in a file YagiUda-1.0.tar.Z, 
which will be found on ftp sites. Please e-mail me if you have problems
locating the latest version.

*/

#include <stdio.h>
#include "yagi.h"

void read_performance(char *input_filename, double *gain, double *fb_ratio, double *x, double *r)
{
	FILE *fp;
	char *line;
	double t;
	line=string(0L, 200L);
	fp=fopen(input_filename,"r");
	fgets(line,150,fp);
	fgets(line,150,fp);
	fgets(line,150,fp);
	sscanf(line,"%lf %lf %lf %lf %lf %lf %lf %lf", &t, &t, r, x, &t, gain,fb_ratio);
	free_string(line, 0L, 200L);
	fclose(fp);
}
