/* 
-------------------------------------------------------------------------------
/home/duke/davek/YagiUda-1.0/write_cords.c
-------------------------------------------------------------------------------

This file is part of a set of source files for a suite of programs
for the analysis and optimisation of Yagi-Uda antennas. 

Name: YagiUda (executables are: 'input', 'yagi', 'output' and 'optimise' )

Written by: David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)

Version: 1.00

The complete distribution should be found in a file YagiUda-1.0.tar.Z, 
which will be found on ftp sites. Please e-mail me if you have problems
locating the latest version.

*/

#include <stdio.h>
#include <math.h>
#include "yagi.h"
/* This function write the x and y locations of the centre of the element and
the length of the elements to disk */

void write_coordinates_of_elements_to_disk(FILE *ofp, int driven,
int parasitic, double **d, double **p)
{
	int element_number;

	for(element_number=1;element_number<=driven;++element_number)	
		fwrite((char *) &d[element_number][1], sizeof(double),3, ofp);  
	for(element_number=1;element_number<=parasitic;++element_number)	
		fwrite((char *) &p[element_number][1], sizeof(double),3, ofp);
}

